Bug 152599 - NFS mount command should retry "fg" mount requests
NFS mount command should retry "fg" mount requests
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: util-linux (Show other bugs)
4.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Steve Dickson
Ben Levenson
:
Depends On:
Blocks: 154907
  Show dependency treegraph
 
Reported: 2005-03-30 13:17 EST by Suzanne Hillman
Modified: 2007-11-30 17:07 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-07-06 16:04:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
minimal patch to make the mount command retry NFS mount requests (2.36 KB, patch)
2005-03-30 13:17 EST, Suzanne Hillman
no flags Details | Diff

  None (edit)
Description Suzanne Hillman 2005-03-30 13:17:18 EST
+++ This bug was initially created as a clone of Bug #138775 +++

From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1)

Description of problem:
NFS mounts can be performed in the foreground, or in the background.
Foreground mounts are tried once, and will fail immediately if there
is any problem.  Background mounts allow the mount command to fork
a process if the first mount attempt fails that will run in the
background until the mount request succeeds.

Sometimes it is desirable for foreground mounts to retry, as well.
For example, a busy NFS server may drop a mount request, in which
case the mount command on the client should retry a couple of
times before giving up completely.

Version-Release number of selected component (if applicable):
mount-2.11g-6

How reproducible:
Sometimes

Steps to Reproduce:
1. Try an NFS mount request with the "fg" option against a very busy 
NFS server
2.
3.
    

Actual Results:  If the server drops the request, the mount command 
will exit with an error.

Expected Results:  If the server drops the request, the mount command 
should retry the requests a couple of times before giving up.

Additional info:

Oracle has hit this problem, and would like it addressed in RHEL AS 
2.1 and in RHEL 3.0.
Comment 1 Suzanne Hillman 2005-03-30 13:17:19 EST
Created attachment 112467 [details]
minimal patch to make the mount command retry NFS mount requests
Comment 5 Steve Dickson 2005-07-06 16:04:01 EDT
The RHEL4 mount command already does do retransmissions

Note You need to log in before you can comment on or make changes to this bug.